<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'credit',

    /*
     * Modules.
     */
    'modules'   => ['credit'],

    
    'credit'       => [
        'model' => [
            'model' => \B2buy\Credit\Models\Credit::class,
            'repository' => \B2buy\Credit\Repositories\Eloquent\CreditRepository::class,
            'table' => 'credits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'first_name',  'last_name',  'legal_name',  'business_email',  'job_title',  'phone',  'billing_first_name',  'billing_last_name',  'billing_legal_name',  'billing_business_email',  'billing_job_title',  'billing_phone',  'business_type',  'business_name',  'trading_name',  'office_address',  'country',  'city',  'state',  'post_code',  'same_address',  'business_wesite',  'industry',  'business_established',  'employee_count',  'anual_revenue',  'currency',  'abn',  'credit_line',  'monthly_spend',  'goods_description',  'account_holder',  'bank_name',  'bank_account_type',  'bsb_number',  'account_number',  'bsb_street_address',  'bsb_country',  'bsb_city',  'bsb_state',  'bsb_post_code',  'bank_statement',  'account_holder_agreement',  'confirming_identity',  'authorized_legal_name',  'authorized_job_title',  'authorized_dob',  'authorized_country',  'authorized_street_address',  'authorized_city',  'authorized_state',  'authorized_post_code',  'identity_type',  'identity_number',  'expiry_date',  'upload_identity',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'credit/credit',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'B2buy',
            'package' => 'Credit',
            'module' => 'Credit',
        ],
    ],
];
