<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCreditsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: credits
         */
        Schema::create('credits', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('first_name', 100)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('legal_name', 100)->nullable();
            $table->string('business_email', 100)->nullable();
            $table->string('job_title', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('billing_first_name', 100)->nullable();
            $table->string('billing_last_name', 100)->nullable();
            $table->string('billing_legal_name', 100)->nullable();
            $table->string('billing_business_email', 100)->nullable();
            $table->string('billing_job_title', 100)->nullable();
            $table->string('billing_phone', 100)->nullable();
            $table->string('business_type', 100)->nullable();
            $table->string('business_name', 100)->nullable();
            $table->string('trading_name', 100)->nullable();
            $table->string('office_address', 100)->nullable();
            $table->string('country', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->string('post_code', 100)->nullable();
            $table->integer('same_address')->nullable();
            $table->integer('business_wesite')->nullable();
            $table->string('industry', 155)->nullable();
            $table->date('business_established')->nullable();
            $table->integer('employee_count')->nullable();
            $table->double('anual_revenue', 8,2)->nullable();
            $table->string('currency', 100)->nullable();
            $table->string('abn', 100)->nullable();
            $table->integer('credit_line')->nullable();
            $table->integer('monthly_spend')->nullable();
            $table->text('goods_description')->nullable();
            $table->string('account_holder', 100)->nullable();
            $table->string('bank_name', 100)->nullable();
            $table->enum('bank_account_type', ['','savings','checking'])->nullable();
            $table->string('bsb_number', 100)->nullable();
            $table->string('account_number', 100)->nullable();
            $table->text('bsb_street_address')->nullable();
            $table->string('bsb_country', 100)->nullable();
            $table->string('bsb_city', 100)->nullable();
            $table->string('bsb_state', 100)->nullable();
            $table->string('bsb_post_code', 100)->nullable();
            $table->text('bank_statement')->nullable();
            $table->integer('account_holder_agreement')->nullable();
            $table->integer('confirming_identity')->nullable();
            $table->string('authorized_legal_name', 100)->nullable();
            $table->string('authorized_job_title', 100)->nullable();
            $table->date('authorized_dob')->nullable();
            $table->string('authorized_country', 100)->nullable();
            $table->text('authorized_street_address')->nullable();
            $table->string('authorized_city', 100)->nullable();
            $table->string('authorized_state', 100)->nullable();
            $table->string('authorized_post_code', 100)->nullable();
            $table->string('identity_type', 100)->nullable();
            $table->string('identity_number', 100)->nullable();
            $table->date('expiry_date')->nullable();
            $table->text('upload_identity')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('credits');
    }
}
