<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for credit in credit package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  credit module in credit package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Credit',
    'names' => 'Credits',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Credits',
        'sub' => 'Credits'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'bank_account_type'   => ['','savings','checking'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'first_name'                 => 'Please enter first name',
        'last_name'                  => 'Please enter last name',
        'legal_name'                 => 'Please enter legal name',
        'business_email'             => 'Please enter business email',
        'job_title'                  => 'Please enter job title',
        'phone'                      => 'Please enter phone',
        'billing_first_name'         => 'Please enter billing first name',
        'billing_last_name'          => 'Please enter billing last name',
        'billing_legal_name'         => 'Please enter billing legal name',
        'billing_business_email'        => 'Please enter billing business email',
        'billing_job_title'          => 'Please enter billing job title',
        'billing_phone'              => 'Please enter billing phone',
        'business_type'              => 'Please enter business type',
        'business_name'              => 'Please enter business name',
        'trading_name'               => 'Please enter trading name',
        'office_address'             => 'Please enter office address',
        'country'                    => 'Please enter country',
        'city'                       => 'Please enter city',
        'state'                      => 'Please enter state',
        'post_code'                  => 'Please enter post code',
        'same_address'               => 'Please enter same address',
        'business_wesite'            => 'Please enter business wesite',
        'industry'                   => 'Please enter industry',
        'business_established'        => 'Please select business established',
        'employee_count'             => 'Please enter employee count',
        'anual_revenue'              => 'Please enter anual revenue',
        'currency'                   => 'Please enter currency',
        'abn'                        => 'Please enter abn',
        'credit_line'                => 'Please enter credit line',
        'monthly_spend'              => 'Please enter monthly spend',
        'goods_description'          => 'Please enter goods description',
        'account_holder'             => 'Please enter account holder',
        'bank_name'                  => 'Please enter bank name',
        'bank_account_type'          => 'Please select bank account type',
        'bsb_number'                 => 'Please enter bsb number',
        'account_number'             => 'Please enter account number',
        'bsb_street_address'         => 'Please enter bsb street address',
        'bsb_country'                => 'Please enter bsb country',
        'bsb_city'                   => 'Please enter bsb city',
        'bsb_state'                  => 'Please enter bsb state',
        'bsb_post_code'              => 'Please enter bsb post code',
        'bank_statement'             => 'Please enter bank statement',
        'account_holder_agreement'        => 'Please enter account holder agreement',
        'confirming_identity'        => 'Please enter confirming identity',
        'authorized_legal_name'        => 'Please enter authorized legal name',
        'authorized_job_title'        => 'Please enter authorized job title',
        'authorized_dob'             => 'Please select authorized dob',
        'authorized_country'         => 'Please enter authorized country',
        'authorized_street_address'        => 'Please enter authorized street address',
        'authorized_city'            => 'Please enter authorized city',
        'authorized_state'           => 'Please enter authorized state',
        'authorized_post_code'        => 'Please enter authorized post code',
        'identity_type'              => 'Please enter identity type',
        'identity_number'            => 'Please enter identity number',
        'expiry_date'                => 'Please select expiry date',
        'upload_identity'            => 'Please enter upload identity',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'first_name'                 => 'First name',
        'last_name'                  => 'Last name',
        'legal_name'                 => 'Legal name',
        'business_email'             => 'Business email',
        'job_title'                  => 'Job title',
        'phone'                      => 'Phone',
        'billing_first_name'         => 'Billing first name',
        'billing_last_name'          => 'Billing last name',
        'billing_legal_name'         => 'Billing legal name',
        'billing_business_email'        => 'Billing business email',
        'billing_job_title'          => 'Billing job title',
        'billing_phone'              => 'Billing phone',
        'business_type'              => 'Business type',
        'business_name'              => 'Business name',
        'trading_name'               => 'Trading name',
        'office_address'             => 'Office address',
        'country'                    => 'Country',
        'city'                       => 'City',
        'state'                      => 'State',
        'post_code'                  => 'Post code',
        'same_address'               => 'Same address',
        'business_wesite'            => 'Business wesite',
        'industry'                   => 'Industry',
        'business_established'        => 'Business established',
        'employee_count'             => 'Employee count',
        'anual_revenue'              => 'Anual revenue',
        'currency'                   => 'Currency',
        'abn'                        => 'Abn',
        'credit_line'                => 'Credit line',
        'monthly_spend'              => 'Monthly spend',
        'goods_description'          => 'Goods description',
        'account_holder'             => 'Account holder',
        'bank_name'                  => 'Bank name',
        'bank_account_type'          => 'Bank account type',
        'bsb_number'                 => 'Bsb number',
        'account_number'             => 'Account number',
        'bsb_street_address'         => 'Bsb street address',
        'bsb_country'                => 'Bsb country',
        'bsb_city'                   => 'Bsb city',
        'bsb_state'                  => 'Bsb state',
        'bsb_post_code'              => 'Bsb post code',
        'bank_statement'             => 'Bank statement',
        'account_holder_agreement'        => 'Account holder agreement',
        'confirming_identity'        => 'Confirming identity',
        'authorized_legal_name'        => 'Authorized legal name',
        'authorized_job_title'        => 'Authorized job title',
        'authorized_dob'             => 'Authorized dob',
        'authorized_country'         => 'Authorized country',
        'authorized_street_address'        => 'Authorized street address',
        'authorized_city'            => 'Authorized city',
        'authorized_state'           => 'Authorized state',
        'authorized_post_code'        => 'Authorized post code',
        'identity_type'              => 'Identity type',
        'identity_number'            => 'Identity number',
        'expiry_date'                => 'Expiry date',
        'upload_identity'            => 'Upload identity',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],
];
