<?php

namespace B2buy\Credit\Forms;

use Litepie\Form\FormInterpreter;

class Credit extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('credit/credit/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('credit/credit/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('credit/credit'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('credit/credit'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('credit/credit'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('credit/credit'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('credit::credit.label.name'),
                "placeholder" => trans('credit::credit.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('credit::credit.label.created_at'),
            'name' => trans('credit::credit.label.name'),
            'status' => trans('credit::credit.label.status'),
        ];
        self::$groups = [
            'main' => trans('credit::credit.groups.main'),
            'details' => trans('credit::credit.groups.details'),
            'images' => trans('credit::credit.groups.images'),
            'settings' => trans('credit::credit.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('credit::credit.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('credit::credit.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('credit::credit.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('credit::credit.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'first_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.first_name'),
                "placeholder" => trans('credit::credit.placeholder.first_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'last_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.last_name'),
                "placeholder" => trans('credit::credit.placeholder.last_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'legal_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.legal_name'),
                "placeholder" => trans('credit::credit.placeholder.legal_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'business_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.business_email'),
                "placeholder" => trans('credit::credit.placeholder.business_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.job_title'),
                "placeholder" => trans('credit::credit.placeholder.job_title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.phone'),
                "placeholder" => trans('credit::credit.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_first_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_first_name'),
                "placeholder" => trans('credit::credit.placeholder.billing_first_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_last_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_last_name'),
                "placeholder" => trans('credit::credit.placeholder.billing_last_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_legal_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_legal_name'),
                "placeholder" => trans('credit::credit.placeholder.billing_legal_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_business_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_business_email'),
                "placeholder" => trans('credit::credit.placeholder.billing_business_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_job_title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_job_title'),
                "placeholder" => trans('credit::credit.placeholder.billing_job_title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'billing_phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.billing_phone'),
                "placeholder" => trans('credit::credit.placeholder.billing_phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'business_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.business_type'),
                "placeholder" => trans('credit::credit.placeholder.business_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'business_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.business_name'),
                "placeholder" => trans('credit::credit.placeholder.business_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'trading_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.trading_name'),
                "placeholder" => trans('credit::credit.placeholder.trading_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'office_address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.office_address'),
                "placeholder" => trans('credit::credit.placeholder.office_address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.country'),
                "placeholder" => trans('credit::credit.placeholder.country'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.city'),
                "placeholder" => trans('credit::credit.placeholder.city'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.state'),
                "placeholder" => trans('credit::credit.placeholder.state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'post_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.post_code'),
                "placeholder" => trans('credit::credit.placeholder.post_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'same_address' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.same_address'),
                "placeholder" => trans('credit::credit.placeholder.same_address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'business_wesite' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.business_wesite'),
                "placeholder" => trans('credit::credit.placeholder.business_wesite'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'industry' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.industry'),
                "placeholder" => trans('credit::credit.placeholder.industry'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'business_established' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('credit::credit.label.business_established'),
                "placeholder" => trans('credit::credit.placeholder.business_established'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'employee_count' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.employee_count'),
                "placeholder" => trans('credit::credit.placeholder.employee_count'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'anual_revenue' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('credit::credit.label.anual_revenue'),
                "placeholder" => trans('credit::credit.placeholder.anual_revenue'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'currency' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.currency'),
                "placeholder" => trans('credit::credit.placeholder.currency'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'abn' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.abn'),
                "placeholder" => trans('credit::credit.placeholder.abn'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'credit_line' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.credit_line'),
                "placeholder" => trans('credit::credit.placeholder.credit_line'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'monthly_spend' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.monthly_spend'),
                "placeholder" => trans('credit::credit.placeholder.monthly_spend'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'goods_description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.goods_description'),
                "placeholder" => trans('credit::credit.placeholder.goods_description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'account_holder' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.account_holder'),
                "placeholder" => trans('credit::credit.placeholder.account_holder'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bank_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bank_name'),
                "placeholder" => trans('credit::credit.placeholder.bank_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bank_account_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('credit::credit.label.bank_account_type'),
                "placeholder" => trans('credit::credit.placeholder.bank_account_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_number' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_number'),
                "placeholder" => trans('credit::credit.placeholder.bsb_number'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'account_number' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.account_number'),
                "placeholder" => trans('credit::credit.placeholder.account_number'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_street_address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_street_address'),
                "placeholder" => trans('credit::credit.placeholder.bsb_street_address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_country'),
                "placeholder" => trans('credit::credit.placeholder.bsb_country'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_city'),
                "placeholder" => trans('credit::credit.placeholder.bsb_city'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_state'),
                "placeholder" => trans('credit::credit.placeholder.bsb_state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bsb_post_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bsb_post_code'),
                "placeholder" => trans('credit::credit.placeholder.bsb_post_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bank_statement' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.bank_statement'),
                "placeholder" => trans('credit::credit.placeholder.bank_statement'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'account_holder_agreement' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.account_holder_agreement'),
                "placeholder" => trans('credit::credit.placeholder.account_holder_agreement'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'confirming_identity' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('credit::credit.label.confirming_identity'),
                "placeholder" => trans('credit::credit.placeholder.confirming_identity'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_legal_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_legal_name'),
                "placeholder" => trans('credit::credit.placeholder.authorized_legal_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_job_title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_job_title'),
                "placeholder" => trans('credit::credit.placeholder.authorized_job_title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_dob' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('credit::credit.label.authorized_dob'),
                "placeholder" => trans('credit::credit.placeholder.authorized_dob'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_country'),
                "placeholder" => trans('credit::credit.placeholder.authorized_country'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_street_address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_street_address'),
                "placeholder" => trans('credit::credit.placeholder.authorized_street_address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_city'),
                "placeholder" => trans('credit::credit.placeholder.authorized_city'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_state'),
                "placeholder" => trans('credit::credit.placeholder.authorized_state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authorized_post_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.authorized_post_code'),
                "placeholder" => trans('credit::credit.placeholder.authorized_post_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'identity_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.identity_type'),
                "placeholder" => trans('credit::credit.placeholder.identity_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'identity_number' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.identity_number'),
                "placeholder" => trans('credit::credit.placeholder.identity_number'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'expiry_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('credit::credit.label.expiry_date'),
                "placeholder" => trans('credit::credit.placeholder.expiry_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'upload_identity' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('credit::credit.label.upload_identity'),
                "placeholder" => trans('credit::credit.placeholder.upload_identity'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
