<?php

namespace B2buy\Credit\Repositories\Eloquent;

use B2buy\Credit\Interfaces\CreditRepositoryInterface;
use Litepie\Repository\BaseRepository;
use B2buy\Credit\Repositories\Eloquent\Presenters\CreditItemPresenter;


class CreditRepository extends BaseRepository implements CreditRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('b2buy.credit.credit.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.credit.credit.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CreditItemPresenter::class;
    }
}
